# class Byebug::EnableCommand

Enabling custom display expressions or breakpoints.

Reopens the `enable` command to define the `breakpoints` subcommand

Reopens the `enable` command to define the `display` subcommand

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/enable.rb, line 21
        def self.description
          <<-DESCRIPTION
            en[able][[ b[reakpoints]| d[isplay])][ n1[ n2[ ...[ nn]]]]]

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/enable.rb, line 17
    def self.regexp
      /^\s* en(?:able)? (?:\s+ (.+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/enable.rb, line 29
    def self.short_description
      "Enables breakpoints or displays"
    end